summaryrefslogtreecommitdiffstats
path: root/source/n/gnutls/gnutls.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/gnutls/gnutls.SlackBuild')
-rwxr-xr-xsource/n/gnutls/gnutls.SlackBuild26
1 files changed, 8 insertions, 18 deletions
diff --git a/source/n/gnutls/gnutls.SlackBuild b/source/n/gnutls/gnutls.SlackBuild
index 52acab6dd..9b1a00b1c 100755
--- a/source/n/gnutls/gnutls.SlackBuild
+++ b/source/n/gnutls/gnutls.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2007, 2008, 2009, 2010 Patrick Volkerding, Sebeka, MN, USA
+# Copyright 2007, 2008, 2009, 2010, 2016 Patrick Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,13 +22,13 @@
PKGNAM=gnutls
-VERSION=${VERSION:-$(echo gnutls-*.tar.?z* | rev | cut -f 4- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo gnutls-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
@@ -37,8 +37,8 @@ fi
NUMJOBS=${NUMJOBS:-" -j7 "}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -60,20 +60,9 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-if [ -r $CWD/$PKGNAM-$VERSION.tar.gz ]; then
- tar xf $CWD/$PKGNAM-$VERSION.tar.gz || exit 1
-elif [ -r $CWD/$PKGNAM-$VERSION.tar.bz2 ]; then
- tar xf $CWD/$PKGNAM-$VERSION.tar.bz2 || exit 1
-elif [ -r $CWD/$PKGNAM-$VERSION.tar.xz ]; then
- tar xf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
-elif [ -r $CWD/$PKGNAM-$VERSION.tar.lzma ]; then
- tar xf $CWD/$PKGNAM-$VERSION.tar.lzma || exit 1
-else
- exit 1
-fi
-
+tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+cd $PKGNAM-$VERSION || exit 1
-cd $PKGNAM-$VERSION
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -93,6 +82,7 @@ CXXFLAGS="$SLKCFLAGS" \
--enable-static=no \
--disable-rpath \
--with-included-libtasn1 \
+ --enable-openssl-compatibility \
--build=$ARCH-slackware-linux \
--host=$ARCH-slackware-linux